Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.metadata.mdm
Class MdmBaseObjectVisitor

    java.lang.Object
      |
      +--oracle.olapi.metadata.mdm.MdmBaseObjectVisitor

public abstract class MdmBaseObjectVisitor
extends java.lang.Object
implements Mdm10_1_0_3_ObjectVisitor

An implementation of the `MdmObjectVisitor` interface that adds methods for visiting more classes in the `MdmObject` class hierarchy. With your visitor, you can implement polymorphic behavior without having access to the internal code of `MdmObject` or its subclasses.

`MdmBaseObjectVisitor` has a visit method for each of the classes in the `MdmObject` class hierarchy. `MdmObject` and its subclasses have an `acceptVisitor` method. The parameters of an `acceptVisitor` method are an `MdmObjectVisitor` and a `java.lang.Object`. When you call the `acceptVisitor` method of an `MdmObject`, the `acceptVisitor` method calls the corresponding visit method of your `MdmBaseObjectVisitor`. The `acceptVisitor` method passes the `MdmObject` and the `Object` to the visit method. For example, you could call the `acceptVisitor` method of an `MdmMeasure` and pass it your `MdmBaseObjectVisitor` and an `Object`. The `acceptVisitor` method would then pass the `MdmMeasure` and the `Object` to the `visitMdmMeasure` method of your `MdmObjectVisitor`.

A visit method of your `MdmBaseObjectVisitor` can perform whatever operations you want it to on the `MdmObject` it receives. For example, a `visitMdmMeasure` method might call the `getDimensions` method of the `MdmMeasure`, and then call methods of the `Object` to format and display the resulting information. A visit method must return a `java.lang.Object`.

Method Summary
`java.lang.Object` | `visitMdmAttribute(MdmAttribute mdmObject, java.lang.Object context)` Executes operations on the specified `MdmAttribute`.
`java.lang.Object` | `visitMdmAttributeModel(MdmAttributeModel mdmObject, java.lang.Object context)` Executes operations on the specified `MdmAttributeModel`.
`java.lang.Object` | `visitMdmDimension(MdmDimension mdmObject, java.lang.Object context)` Executes operations on the specified `MdmDimension`.
`java.lang.Object` | `visitMdmDimensionCalculationModel(MdmDimensionCalculationModel mdmObject, java.lang.Object context)` Executes operations on the specified `MdmDimensionCalculationModel`.
`java.lang.Object` | `visitMdmDimensionedObject(MdmDimensionedObject mdmObject, java.lang.Object context)` Executes operations on the specified `MdmDimensionedObject`.
`java.lang.Object` | `visitMdmDimensionedObjectModel(MdmDimensionedObjectModel mdmObject, java.lang.Object context)` Executes operations on the specified `MdmDimensionedObjectModel`.
`java.lang.Object` | `visitMdmHierarchy(MdmHierarchy mdmObject, java.lang.Object context)` Executes operations on the specified `MdmHierarchy`.
`java.lang.Object` | `visitMdmLevel(MdmLevel mdmObject, java.lang.Object context)` Executes operations on the specified `MdmLevel`.
`java.lang.Object` | `visitMdmLevelHierarchy(MdmLevelHierarchy mdmObject, java.lang.Object context)` Executes operations on the specified `MdmLevelHierarchy`.
`java.lang.Object` | `visitMdmMeasure(MdmMeasure mdmObject, java.lang.Object context)` Executes operations on the specified `MdmMeasure`.
`java.lang.Object` | `visitMdmMeasureDimension(MdmMeasureDimension mdmObject, java.lang.Object context)` Executes operations on the specified `MdmMeasureDimension`.
`java.lang.Object` | `visitMdmMeasureModel(MdmMeasureModel mdmObject, java.lang.Object context)` Executes operations on the specified `MdmMeasureModel`.
`java.lang.Object` | `visitMdmModel(MdmModel mdmObject, java.lang.Object context)` Executes operations on the specified `MdmModel`.
`java.lang.Object` | `visitMdmObject(MdmObject mdmObject, java.lang.Object context)` Executes operations on any object that is a subclass of `MdmObject`, which is useful when you do not need subclass-specific information.
`java.lang.Object` | `visitMdmPrimaryDimension(MdmPrimaryDimension mdmObject, java.lang.Object context)` Executes operations on the specified `MdmPrimaryDimension`.
`java.lang.Object` | `visitMdmSchema(MdmSchema mdmObject, java.lang.Object context)` Executes operations on the specified `MdmSchema`.
`java.lang.Object` | `visitMdmSource(MdmSource mdmObject, java.lang.Object context)` Executes operations on the specified `MdmSource`.
`java.lang.Object` | `visitMdmStandardDimension(MdmStandardDimension mdmObject, java.lang.Object context)` Executes operations on the specified `MdmStandardDimension`.
`java.lang.Object` | `visitMdmStandardMember(MdmStandardMember mdmObject, java.lang.Object context)` Executes operations on the specified `MdmStandardMember`.
`java.lang.Object` | `visitMdmSubDimension(MdmSubDimension mdmObject, java.lang.Object context)` Executes operations on the specified `MdmSubDimension`.
`java.lang.Object` | `visitMdmTimeDimension(MdmTimeDimension mdmObject, java.lang.Object context)` Executes operations on the specified `MdmTimeDimension`.
`java.lang.Object` | `visitMdmTimeMember(MdmTimeMember mdmObject, java.lang.Object context)` Executes operations on the specified `MdmTimeMember`.
`java.lang.Object` | `visitMdmValueHierarchy(MdmValueHierarchy mdmObject, java.lang.Object context)` Executes operations on the specified `MdmValueHierarchy`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### visitMdmAttribute

    public java.lang.Object visitMdmAttribute(MdmAttribute mdmObject,
                                              java.lang.Object context)

  Executes operations on the specified `MdmAttribute`. The default implementation of this method calls the `visitMdmDimensionedObject` method.
  Parameters:
    `mdmObject` - An `MdmAttribute`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmDimension

    public java.lang.Object visitMdmDimension(MdmDimension mdmObject,
                                              java.lang.Object context)

  Executes operations on the specified `MdmDimension`. The default implementation of this method calls the `visitMdmSource` method.
  Parameters:
    `mdmObject` - An `MdmDimension`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmDimensionedObject

    public java.lang.Object visitMdmDimensionedObject(MdmDimensionedObject mdmObject,
                                                      java.lang.Object context)

  Executes operations on the specified `MdmDimensionedObject`. The default implementation of this method calls the `visitMdmSource` method.
  Parameters:
    `mdmObject` - An `MdmDimensionedObject`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmHierarchy

    public java.lang.Object visitMdmHierarchy(MdmHierarchy mdmObject,
                                              java.lang.Object context)

  Executes operations on the specified `MdmHierarchy`. The default implementation of this method calls `visitMdmSubDimension` method.
  Parameters:
    `mdmObject` - An `MdmHierarchy`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmLevel

    public java.lang.Object visitMdmLevel(MdmLevel mdmObject,
                                          java.lang.Object context)

  Executes operations on the specified `MdmLevel`. The default implementation of this method calls `visitMdmSubDimension` method.
  Parameters:
    `mdmObject` - An `MdmLevel`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmLevelHierarchy

    public java.lang.Object visitMdmLevelHierarchy(MdmLevelHierarchy mdmObject,
                                                   java.lang.Object context)

  Executes operations on the specified `MdmLevelHierarchy`. The default implementation of this method calls the `visitMdmHierarchy` method.
  Parameters:
    `mdmObject` - An `MdmLevelHierarchy`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmMeasure

    public java.lang.Object visitMdmMeasure(MdmMeasure mdmObject,
                                            java.lang.Object context)

  Executes operations on the specified `MdmMeasure`. The default implementation of this method calls the `visitMdmDimensionedObject` method.
  Parameters:
    `mdmObject` - An `MdmMeasure`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmMeasureDimension

    public java.lang.Object visitMdmMeasureDimension(MdmMeasureDimension mdmObject,
                                                     java.lang.Object context)

  Executes operations on the specified `MdmMeasureDimension`. The default implementation of this method calls the `visitMdmPrimaryDimension` method.
  Parameters:
    `mdmObject` - An `MdmMeasureDimension`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmObject

    public java.lang.Object visitMdmObject(MdmObject mdmObject,
                                           java.lang.Object context)

  Executes operations on any object that is a subclass of `MdmObject`, which is useful when you do not need subclass-specific information. The default implementation of this method returns `null`.
  Parameters:
    `MdmObject` - An `MdmObject`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmPrimaryDimension

    public java.lang.Object visitMdmPrimaryDimension(MdmPrimaryDimension mdmObject,
                                                     java.lang.Object context)

  Executes operations on the specified `MdmPrimaryDimension`. The default implementation of this method calls the `visitMdmDimension` method.
  Parameters:
    `mdmObject` - An `MdmPrimaryDimension`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmSchema

    public java.lang.Object visitMdmSchema(MdmSchema mdmObject,
                                           java.lang.Object context)

  Executes operations on the specified `MdmSchema`. The default implementation of this method calls the `visitMdmObject` method.
  Parameters:
    `mdmObject` - An `MdmSchema`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmSource

    public java.lang.Object visitMdmSource(MdmSource mdmObject,
                                           java.lang.Object context)

  Executes operations on the specified `MdmSource`. The default implementation of this method calls the `visitMdmObject` method.
  Parameters:
    `mdmObject` - An `MdmSource`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmStandardDimension

    public java.lang.Object visitMdmStandardDimension(MdmStandardDimension mdmObject,
                                                      java.lang.Object context)

  Executes operations on the specified `MdmStandardDimension`. The default implementation of this method calls the `visitMdmPrimaryDimension` method.
  Parameters:
    `mdmObject` - An `MdmStandardDimension`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmSubDimension

    public java.lang.Object visitMdmSubDimension(MdmSubDimension mdmObject,
                                                 java.lang.Object context)

  Executes operations on the specified `MdmSubDimension`. The default implementation of this method calls the `visitMdmDimension` method.
  Parameters:
    `mdmObject` - An `MdmSubDimension`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmTimeDimension

    public java.lang.Object visitMdmTimeDimension(MdmTimeDimension mdmObject,
                                                  java.lang.Object context)

  Executes operations on the specified `MdmTimeDimension`. The default implementation of this method calls the `visitMdmPrimaryDimension` method.
  Parameters:
    `mdmObject` - An `MdmTimeDimension`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmValueHierarchy

    public java.lang.Object visitMdmValueHierarchy(MdmValueHierarchy mdmObject,
                                                   java.lang.Object context)

  Executes operations on the specified `MdmValueHierarchy`. The default implementation of this method calls the `visitMdmHierarchy` method.
  Parameters:
    `mdmObject` - An `MdmValueHierarchy`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmModel

    public java.lang.Object visitMdmModel(MdmModel mdmObject,
                                          java.lang.Object context)

  Executes operations on the specified `MdmModel`.
  Parameters:
    `mdmObject` - An `MdmModel`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmDimensionCalculationModel

    public java.lang.Object visitMdmDimensionCalculationModel(MdmDimensionCalculationModel mdmObject,
                                                              java.lang.Object context)

  Executes operations on the specified `MdmDimensionCalculationModel`.
  Specified by:
    visitMdmDimensionCalculationModel in interface Mdm10_1_0_3_ObjectVisitor
  Parameters:
    `mdmObject` - An `MdmDimensionCalculationModel`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmDimensionedObjectModel

    public java.lang.Object visitMdmDimensionedObjectModel(MdmDimensionedObjectModel mdmObject,
                                                           java.lang.Object context)

  Executes operations on the specified `MdmDimensionedObjectModel`.
  Parameters:
    `mdmObject` - An `MdmDimensionedObjectModel`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmAttributeModel

    public java.lang.Object visitMdmAttributeModel(MdmAttributeModel mdmObject,
                                                   java.lang.Object context)

  Executes operations on the specified `MdmAttributeModel`.
  Specified by:
    visitMdmAttributeModel in interface Mdm10_1_0_3_ObjectVisitor
  Parameters:
    `mdmObject` - An `MdmAttributeModel`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmMeasureModel

    public java.lang.Object visitMdmMeasureModel(MdmMeasureModel mdmObject,
                                                 java.lang.Object context)

  Executes operations on the specified `MdmMeasureModel`.
  Specified by:
    visitMdmMeasureModel in interface Mdm10_1_0_3_ObjectVisitor
  Parameters:
    `mdmObject` - An `MdmMeasureModel`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmStandardMember

    public java.lang.Object visitMdmStandardMember(MdmStandardMember mdmObject,
                                                   java.lang.Object context)

  Executes operations on the specified `MdmStandardMember`.
  Specified by:
    visitMdmStandardMember in interface Mdm10_1_0_3_ObjectVisitor
  Parameters:
    `mdmObject` - An `MdmStandardMember`.
    `context` - An `Object`.
  Returns:
    An `Object`.

### visitMdmTimeMember

    public java.lang.Object visitMdmTimeMember(MdmTimeMember mdmObject,
                                               java.lang.Object context)

  Executes operations on the specified `MdmTimeMember`.
  Specified by:
    visitMdmTimeMember in interface Mdm10_1_0_3_ObjectVisitor
  Parameters:
    `mdmObject` - An `MdmTimeMember`.
    `context` - An `Object`.
  Returns:
    An `Object`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.